File rtl8821ce.spec of Package rtl8821ce

#
# spec file for package rtl8821ce
#
# Copyright (c) 2018 Matthias Bach <marix@marix.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rtl8821ce
Version:        git20201115
Release:        1.13
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %kernel_module_package_buildreqs
BuildRequires:  libelf-devel
BuildRequires:  bc
Summary:        Wlan-Driver for Realtek RTL8821CE 802.11ac WLAN Adapter
License:        GPL-2.0+
Group:          System/Kernel
Url:            https://github.com/tomaspinho/rtl8821ce.git
Source0:        rtl8821ce-%{version}.tar.gz
Source1:        preamble
Patch0:         fix_build_system.patch
Patch1:         leap151x.patch
Patch2:         leap153.patch
Provides:   %{name} = %{version}
Obsoletes:  %{name} < %{version}
Conflicts:	%{name} = %{version}

%suse_kernel_module_package -p %_sourcedir/preamble kdump ec2 um preempt

%description
This is the Wlan-Driver for the Realtek Semiconductor Co., Ltd. RTL8821CE 802.11ac PCIe Wireless Network Adapter
ported from the Endless OS variant of the linux kernel.
Its named 8821ce.

Bugs: see https://github.com/tomaspinho/rtl8821ce/blob/master/README.md


Driver is in kernel 5.9 but does not work, so you need also the blacklist rpm.

%package blacklist-rtw_8821ce
Summary:        To favour rtl8192ce blacklist the rtw_8821ce device driver
Group:          Hardware/Wifi
##BuildArch:      noarch
Requires:       %{name}-kmp = %{version}

%description blacklist-rtw_8821ce
The rtl8821ce is supported with kernel 5.9 by rtw88_8821ce, but this module does not work. To solve this the rtw_8821ce kernel module has to be
blacklisted to enable the system to load the new device driver 8821ce.

This rpm blacklists the rtw88_8821ce

%prep
echo %flavors_to_build
%setup -q

%patch0 -p1
%patch1 -p1
%if 0%{?sle_version} == 150300 && 0%{?is_opensuse}
%patch2 -p1
%endif

%build
%make_build TopDIR=${PWD}

%install
export INSTALL_MOD_PATH=%{buildroot}
export INSTALL_MOD_DIR=updates
%make_install TopDIR=${PWD}

%{__mkdir_p} %{buildroot}%{_sysconfdir}/modprobe.d/
cat > %{buildroot}%{_sysconfdir}/modprobe.d/50-blacklist-rtw_8821ce.conf<<-'EOF'
	blacklist rtw88_8821ce
	EOF

%files blacklist-rtw_8821ce
%defattr(-, root, root)
%config %{_sysconfdir}/modprobe.d/50-blacklist-rtw_8821ce.conf
	
	
%changelog
openSUSE Build Service is sponsored by